<template lang="pug">
.hero
	.row
		.container
			.section
				.row-first.is-flex.is-justify-content-space-between
					logo
					Menu( :items='menuItems' )
					.email.is-flex.is-align-items-center.is-justify-content-center
						|{{ $t("default.footer.contact_us") }}
						a( href="mailto:team@ibt.dev" ) team@ibt.dev
					.follow.is-flex.is-align-items-center.is-justify-content-center
						p {{ $t("default.footer.follow_us") }}
						socials
				hr
				.row-second.is-flex.is-jusitfy-content-space-between.is-align-items-center
					.menu.is-flex-grow-1.is-flex.is-flex-direction-column.is-align-items-flex-start.is-justify-content-flex-start.is-flex-wrap-wrap
						menu-item( 
							v-for='({ to, text }, i) in navItems' :key='i'
							:to='to') {{ text }}
					a.certik.img.is-flex( href="https://www.certik.com/projects/international-blockchain-technology" target="_blank" )
						certik
	.row-bottom
		.container
			.section
				.is-flex.is-align-items-center.is-justify-content-space-between
					p Copyright &copy; {{ dayjs().format("YYYY") }} IBT - {{ $t("default.footer.all_rights_reserved") }}
					menu-item( :to='{ name: "Privacy" }' ) {{ $t("default.footer.privacy_police") }}
</template>

<script>
export default {
	components: {
		logo: () => import("@/components/header/Logo.vue"),
		Menu: () => import("@/components/header/Menu.vue"),
		MenuItem: () => import("@/components/header/MenuItem.vue"),
		Socials: () => import("@/components/Socials.vue"),
		Certik: () => import("svg/certik.svg")
	},
	computed: {
		menuItems() {
			return [
				{ to: { name: "Terms" }, text: this.$t("default.footer.terms_and_conditions") },
				{ href: "https://github.com/InternetBlockchainTechnology/ibt_smartcontracts", text: this.$t("default.footer.source") }
			]
		},
		navItems() {
			return [
				{ to: { name: "Homepage" }, text: this.$t("default.nav.home") },
				{ to: { name: "About" }, text: this.$t("default.nav.about") },
				{ to: { name: "GameFi" }, text: this.$t("default.nav.game_fi") },
				{ to: { name: "Technology" }, text: this.$t("default.nav.technology") },
				{ to: { name: "RoadMap" }, text: this.$t("default.nav.roadmap") },
				{ to: { name: "Staking" }, text: this.$t("default.nav.staking") },
				{ to: { name: "Partners" }, text: this.$t("default.nav.materials_for_partners") },
				{ to: { name: "Mission" }, text: this.$t("default.nav.mission_and_team") },
				{ to: { name: "Instructions" }, text: this.$t("default.nav.instructions") },
				{ to: { name: "Homepage", hash: "#faq" }, text: this.$t("default.nav.faq") },
				{ to: { name: "Login" }, text: this.$t("buttons.entry") },
			]
		}
	}
}
</script>

<style lang="scss" scoped>
@import "@/assets/scss/common/bulma_core_colors";
@import "@/assets/scss/common/mixins";

.hero {
	background: #222323;
	z-index: 1;
}

hr {
	height: 1px;
	background: rgba(240, 240, 240, 0.03);
}

.row {
	.section {
		padding: 2rem .75rem 1rem;
	}
	&-first {
		.email {
			font-size: .875rem;
			font-weight: 700;
			color: #fff;
			a {
				color: $primary;
				margin-left: .5rem;
				position: relative;
				&::before {
					content: "";
					display: block;
					width: 100%;
					height: 1px;
					background: $primary;
					opacity: .32;
					position: absolute;
					top: 100%;
					transition: opacity .3s ease-in-out;
				}
				&:hover {
					&::before {
						opacity: 1;
					}
				}
			}
		}
		.follow {
			&>p {
				font-size: .875rem;
				font-weight: 700;
				color: #fff;
				margin-right: .5rem;
			}
		}
	}
	&-second {
		.menu {
			$nav-padding: 1rem;
			max-height: 6.25rem;
			margin: 0 -#{$nav-padding};
			.nav-item {
				padding: .25rem $nav-padding;
			}
		}
		.certik {
			width: 7rem;
			svg {
				height: 3rem;
			}
		}
		@include tabmob {
			flex-direction: column;
			align-items: stretch!important;
			.certik {
				justify-content: center;
				width: 100%;
				margin-top: 2rem;
			}

			.menu {
				max-height: 10rem;
			}
		}
	}
	&-bottom {
		background: #191A1A;
		.section {
			padding: 1rem .75rem;
		}
		p {
			font-size: .75rem;
			font-weight: 400;
			color: #fff;
			cursor: default;
		}
		.nav-item::v-deep {
			padding: 0;
			.content {
				font-size: .75rem;
				color: #ADB3B3;
				&::before {
					background: #ADB3B3;
				}
			}
		}
	}
}

.row::v-deep {
	.nav-item {
		.content {
			font-size: .875rem;
			color: #fff;
			&::before {
				background: #fff;
			}
		}
	}
}

@include tabwide {
	.row {
		&-first {
			flex-wrap: wrap;
			.logo {
				width: 50%;
			}
			.menu {
				left: auto;
			}
			.email {
				justify-content: flex-start!important;
			}
			.follow {
				justify-content: flex-end!important;
			}
			.email, .follow {
				width: 50%;
				margin-top: 1rem;
			}
		}
	}
}

@include mobile {
	.row {
		&-first {
			flex-wrap: wrap;
			.logo, .menu, .email, .follow {
				justify-content: center!important;
				width: 100%;
				padding: .5rem 0;
			}
			.logo {
				margin-top: -.5rem;
			}
			.follow {
				flex-direction: column;
				margin-bottom: -.5rem;
				p {
					margin-bottom: .25rem;
				}
			}
		}
		&-second::v-deep {
			margin: 0 -.25rem;
			.nav-item {
				padding: .25rem;
				.content {
					font-size: .75rem;
				}
			}
		}
	}
}

</style>